Bug 243433 - yumex loses dependency list if Process Queue is cancelled
yumex loses dependency list if Process Queue is cancelled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: James Antill
:
Depends On: 244077
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 13:25 EDT by Peter Kolbus
Modified: 2014-01-21 17:58 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.2.14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-15 10:57:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum-deplist-amarok (6.97 KB, text/plain)
2007-06-09 16:09 EDT, Gianluca Varisco
no flags Details

  None (edit)
Description Peter Kolbus 2007-06-08 13:25:11 EDT
First off, apologies, this is probably the wrong component, but amarok is not in
the list.

Description of problem:
Amarok 1.4.5 requires libtunepimp.i386 but this dependency is not installed.

Version-Release number of selected component (if applicable):
amarok-1.4.5-4.fc7

How reproducible:
Always.

Steps to Reproduce:
1. # yum install amarok
2. $ amarok

  
Actual results:

Amarok: [Loader] Starting amarokapp..
Amarok: [Loader] Don't run gdb, valgrind, etc. against this binary! Use amarokapp.
amarokapp: error while loading shared libraries: libtunepimp.so.5: cannot open
shared object file: No such file or directory


Expected results:
1) libtunepimp is installed.  2) Amarok starts.

Additional info:
Comment 1 Peter Kolbus 2007-06-08 13:27:57 EDT
postgresql-libs are also required.

So, workaround is to

yum install postgresql-libs libtunepimp
Comment 2 Gianluca Varisco 2007-06-09 16:09:12 EDT
Created attachment 156656 [details]
yum-deplist-amarok
Comment 3 Gianluca Varisco 2007-06-09 16:11:11 EDT
After trying to install amarok (yum install amarok) this is the output:

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 amarok                  i386       1.4.5-4.fc7      fedora             18 M
Installing for dependencies:
 libtunepimp             i386       0.5.3-3.fc7      fedora            368 k
 postgresql-libs         i386       8.2.4-1.fc7      updates           197 k


The "yum deplist amarok" output is attached above. You can see that libtunepimp
and postgresql-libs packages are dependencies.
Comment 4 Jesse Keating 2007-06-13 12:58:51 EDT
I can't reproduce this in Fedora 7's yum.  Can you still reproduce this?
Comment 5 Peter Kolbus 2007-06-14 01:24:39 EDT
Removing and reinstalling the package picked up the dependencies correctly, so I
don't think it's a problem with the RPM itself.

Also, I've since had the missing dependency problem happen with several other
packages, and by looking at my yum.log, traced them back to an install
transaction I did via yumex on June 4.

The actual steps to reproduce, and I've tried this several times with amarok,
argouml (jpackage.org), and php.

1. In the Available list, search for a package with dependencies (or scroll to it).
2. Check the box next to the desired package.
3. Click Process Queue.
4. In the Process Queue Confirmation, click Cancel.
5. Select the Package Queue view.
6. Click Process Queue.

Note that the "Installing for Dependencies" list is no longer shown.

Sorry for the mixup.  I've updated the bug summary.
Comment 6 Jesse Keating 2007-06-14 07:24:58 EDT
I'm pretty sure this is related to #244077 which should have a fix out for it
soon.  I'm marking this as dependent on that bug, you'll have to retest once an
updated yum is released.
Comment 7 Peter Kolbus 2007-07-09 06:55:14 EDT
Problem still happens with the latest yum/yumex.

# rpm -qa | grep yum
yum-updatesd-3.2.1-1.fc7
yumex-1.9.9-1.0.fc7
yum-metadata-parser-1.1.0-2.fc7
yum-3.2.1-1.fc7
Comment 8 Seth Vidal 2007-08-03 15:53:07 EDT
please retest this with yum 3.2.2 from updates-testing.
Comment 9 Peter Kolbus 2007-08-06 18:02:07 EDT
Still fails on 3.2.2.

# rpm -qa | grep yum
yum-3.2.2-1.fc7
yum-metadata-parser-1.1.0-2.fc7
yumex-1.9.11-1.fc7
yum-updatesd-3.2.2-1.fc7
Comment 10 Bug Zapper 2008-05-14 08:56:18 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 James Antill 2008-05-14 11:53:18 EDT
 There were a lot of yum fixes upto 3.2.8 (latest Fed-7 update), I'd be
surprised if this one isn't fixed. Can you test?
Comment 12 Peter Kolbus 2008-05-15 08:38:26 EDT
Just upgraded my laptop to Fedora 9, and I can't reproduce the problem anymore
(yum-3.2.14/yumex-2.0.4).

It's OK to close this one.  I'll be upgrading all my F7 boxes to F9 by the end
of the month.

Note You need to log in before you can comment on or make changes to this bug.